Athlon 64 und Apt Installation

Alles rund um die Installation Eures Linuxsystems, sowie die Updatefunktionen des Systems und das Paketmanagement

Moderator: Moderatoren

Antworten
Benutzeravatar
mcdaniels
Member
Member
Beiträge: 90
Registriert: 14. Feb 2004, 09:52
Kontaktdaten:

Athlon 64 und Apt Installation

Beitrag von mcdaniels » 6. Jan 2005, 00:24

Hi!
Nachdem ich heute Apt auf ner "normalen" 32 Bit Maschine ohne grössere Troubles installieren konnte funktioniert es leider auf meinem Athlon 64 leider nicht so easy. Bin wieder nach dem kurz how-to vorgegangen, scheitere aber gleich beim installieren an depencies...

rpm -i apt-libs-0.5.15cnc6-0.suse091.rb.5.i586.rpm
warning: apt-libs-0.5.15cnc6-0.suse091.rb.5.i586.rpm: V3 DSA signature: NOKEY, key ID 8c9b4b0d
error: Failed dependencies:
libpopt.so.0 is needed by apt-libs-0.5.15cnc6-0.suse091.rb.5
librpm-4.1.so is needed by apt-libs-0.5.15cnc6-0.suse091.rb.5
librpmdb-4.1.so is needed by apt-libs-0.5.15cnc6-0.suse091.rb.5
librpmio-4.1.so is needed by apt-libs-0.5.15cnc6-0.suse091.rb.5

und

rpm -i apt-0.5.15cnc6-0.suse091.rb.5.i586.rpm
warning: apt-0.5.15cnc6-0.suse091.rb.5.i586.rpm: V3 DSA signature: NOKEY, key ID 8c9b4b0d
error: Failed dependencies:
libapt-pkg-libc6.3-5.so.0 is needed by apt-0.5.15cnc6-0.suse091.rb.5
libpopt.so.0 is needed by apt-0.5.15cnc6-0.suse091.rb.5
librpm-4.1.so is needed by apt-0.5.15cnc6-0.suse091.rb.5
librpmdb-4.1.so is needed by apt-0.5.15cnc6-0.suse091.rb.5
librpmio-4.1.so is needed by apt-0.5.15cnc6-0.suse091.rb.5
rpm -i apt-0.5.15cnc6-0.suse091.rb.5.i586.rpm
warning: apt-0.5.15cnc6-0.suse091.rb.5.i586.rpm: V3 DSA signature: NOKEY, key ID 8c9b4b0d
error: Failed dependencies:
libapt-pkg-libc6.3-5.so.0 is needed by apt-0.5.15cnc6-0.suse091.rb.5
libpopt.so.0 is needed by apt-0.5.15cnc6-0.suse091.rb.5
librpm-4.1.so is needed by apt-0.5.15cnc6-0.suse091.rb.5
librpmdb-4.1.so is needed by apt-0.5.15cnc6-0.suse091.rb.5
librpmio-4.1.so is needed by apt-0.5.15cnc6-0.suse091.rb.5

Die Pakete für RPM, popt-devel bzw. popt sind aber installiert? Wie komm ich zu den benötigten Libs? Mit diesem Problem hab ich seit jeher unter Linux zu kämpfen... Woher Libs bekommen die für div. Programme benötigt werden bzw. vor allem wo danach suchen?

Hoff ihr könnt mir nochmal helfen...

Werbung:
}-Tux-{
Moderator
Moderator
Beiträge: 696
Registriert: 12. Dez 2004, 19:54
Kontaktdaten:

Beitrag von }-Tux-{ » 6. Jan 2005, 00:31

Hi

pack die beiden RPMs in einen ordner und dann
cd /pfad/zu/dem/ordner
rpm -ihv *.rpm

damit ^^ installiert er alle RPMs in dem Ordner.

Falls es Probleme wegen popt geben sollte schau nochmal in das howto
So wie ich das sehe solltest du dann diese popt installieren:
http://ftp.gwdg.de/pub/linux/suse/apt/S ... x86_64.rpm
rpm -Uhv popt-1.7-176.3.x86_64.rpm

mfg }-Tux-{

Benutzeravatar
mcdaniels
Member
Member
Beiträge: 90
Registriert: 14. Feb 2004, 09:52
Kontaktdaten:

Beitrag von mcdaniels » 6. Jan 2005, 14:29

Hi nochmal!
Hab das jetzt versucht wie oben beschrieben, hab sogar Linux nochmal neu aufgesetzt um eventuelle Fehlinstallationen zu beseitigen, aber wieder folgende Ausgabe:

rpm -ihv *.rpm
warning: apt-0.5.15cnc6-0.suse091.rb.5.i586.rpm: V3 DSA signature: NOKEY, key ID 8c9b4b0d
error: Failed dependencies:
libpopt.so.0 is needed by apt-0.5.15cnc6-0.suse091.rb.5
librpm-4.1.so is needed by apt-0.5.15cnc6-0.suse091.rb.5
librpmdb-4.1.so is needed by apt-0.5.15cnc6-0.suse091.rb.5
librpmio-4.1.so is needed by apt-0.5.15cnc6-0.suse091.rb.5
libpopt.so.0 is needed by apt-libs-0.5.15cnc6-0.suse091.rb.5
librpm-4.1.so is needed by apt-libs-0.5.15cnc6-0.suse091.rb.5
librpmdb-4.1.so is needed by apt-libs-0.5.15cnc6-0.suse091.rb.5
librpmio-4.1.so is needed by apt-libs-0.5.15cnc6-0.suse091.rb.5

Für 64Bit-CPU gibts leider im Verzeichnis des FTP Server kein Apt, es sollte ja doch auch das 32bittige funktionieren...

Kann mir jemand sagen, wie ich das Problem mit den Libs löse, ich weiss leider noch immer nicht wie man am besten nach den libs sucht und diese dann installiert... Gibts die einzeln?

Benutzeravatar
oc2pus
Ultimate Guru
Ultimate Guru
Beiträge: 6506
Registriert: 21. Jun 2004, 13:01

Beitrag von oc2pus » 6. Jan 2005, 14:32

Für 64Bit-CPU gibts leider im Verzeichnis des FTP Server kein Apt, es sollte ja doch auch das 32bittige funktionieren...
wer sagt denn sowas böses :)

http://ftp.gwdg.de/pub/linux/suse/apt/S ... x86_64.rpm
http://ftp.gwdg.de/pub/linux/suse/apt/S ... x86_64.rpm

und das Repository suser-jmorris in deine sources.list mit aufnehmen ...
tell people what you want to do, and they'll probably help you to do it.
PackMan
LinWiki : Das Wiki für Linux User

Benutzeravatar
mcdaniels
Member
Member
Beiträge: 90
Registriert: 14. Feb 2004, 09:52
Kontaktdaten:

Beitrag von mcdaniels » 6. Jan 2005, 15:02

Hoi!
So, mit der 64bittigen funktionierts. Frag mich nur, woher weisst du wo du die findest oc2pus? Ich wär nicht drauf gekommen, dort zu suchen... :(

Kann mal also sagen auf nem Athlon 64 mit 64bit kernel nur 64 Bit Versionen installieren?

Benutzeravatar
oc2pus
Ultimate Guru
Ultimate Guru
Beiträge: 6506
Registriert: 21. Jun 2004, 13:01

Beitrag von oc2pus » 6. Jan 2005, 15:08

mcdaniels hat geschrieben:Hoi!
So, mit der 64bittigen funktionierts. Frag mich nur, woher weisst du wo du die findest oc2pus? Ich wär nicht drauf gekommen, dort zu suchen... :(
hehe, ich weis das eben .... und nutze meine apt-tools das mache ich mit einem kleinen apt policy apt bzw apt policy apt-libs Aufruf ;)

aber wenn du immer mal hier vorbeischauen würdest:
http://linux01.gwdg.de/apt4rpm/ (Homepage von apt)
Previous news flashes
x86_64 rpm packages have become available for suse-9.1, the packages have been build and are signed by Joe Morris.
und hier:
http://linux01.gwdg.de/apt4rpm/freshrpms.html
tell people what you want to do, and they'll probably help you to do it.
PackMan
LinWiki : Das Wiki für Linux User

Benutzeravatar
mcdaniels
Member
Member
Beiträge: 90
Registriert: 14. Feb 2004, 09:52
Kontaktdaten:

Beitrag von mcdaniels » 7. Jan 2005, 07:58

Hi und nochmal danke!

Aber der Link auf der HP von APT führt nicht direkt zum Verzeichnis in dem die APT 64 BIT Files drin sind ;)

Antworten

Wer ist online?

Mitglieder in diesem Forum: 0 Mitglieder und 4 Gäste